import traceback

from cpl_core.console import Console

from bot_api.abc.dto_abc import DtoABC


class ResetPasswordDTO(DtoABC):
    def __init__(self, id: str, password: str):
        DtoABC.__init__(self)

        self._id = id
        self._password = password

    @property
    def id(self) -> str:
        return self._id

    @property
    def password(self) -> str:
        return self._password

    def from_dict(self, values: dict):
        self._id = values["id"]
        self._password = values["password"]

    def to_dict(self) -> dict:
        return {"id": self._id, "password": self._password}
