from bot_core.logging.database_logger import DatabaseLogger
from bot_data.abc.migration_abc import MigrationABC
from bot_data.db_context import DBContext


class FixUpdatesMigration(MigrationABC):
    name = "1.1.7_FixUpdatesMigration"

    def __init__(self, logger: DatabaseLogger, db: DBContext):
        MigrationABC.__init__(self)
        self._logger = logger
        self._db = db
        self._cursor = db.cursor

    def upgrade(self):
        self._logger.debug(__name__, "Running upgrade")

        self._exec(__file__, "config/server.sql")
        self._exec(__file__, "config/technician.sql")

    def downgrade(self):
        pass
