import { Injectable } from '@angular/core';
import { BehaviorSubject } from "rxjs";

@Injectable({
  providedIn: 'root'
})
export class SpinnerService {

  showSpinnerState$ = new BehaviorSubject<boolean>(false);
  constructor() { }

  showSpinner() {
    this.showSpinnerState$.next(true);
  }

  hideSpinner() {
    this.showSpinnerState$.next(false);
  }

  toggleSpinner() {
    this.showSpinnerState$.next(!this.showSpinnerState$.value);
  }
}
